//*****************************************************************************
//*****************************************************************************
//  FILENAME:   Table_TC_R.h
//  Version: 1.0, 2008/01/16 
//  Generated by Peter Lischer
//
//  DESCRIPTION:  Table for Thermocouple Type R
//
//-----------------------------------------------------------------------------
// Originally authored by Toradex AG. This work is now available under the terms and conditions
// of the Creative Commons License 'Attribution CC BY', details of which can be found here:
// http://creativecommons.org/licenses/by/3.0/
//*****************************************************************************
//*****************************************************************************


/*
	Sensor used from	-50C
	until				1768.1C
	
	Table valid from	-50C
	until				1768.1C

	Table entries from	-85.75C
	until				1827.7C

	Reference Voltage	4.096V
	R1					1k2
	R2					27k
*/

#define TC_TYPE_R				6
#define TC_TYPE_R_ASCII			'R'

#define ADC2TMP_MIN_R	 		-128
#define ADC2TMP_MID_R 			4096
#define ADC2TMP_MAX_R 			8192

#define ADC2TMP_LO_LENGTH_R 	67
#define ADC2TMP_HI_LENGTH_R 	17


#define REF2ADC_MIN_R		 	-1536		//Not used, is constant over all Couple Types
#define REF2ADC_MAX_R		 	11264		//Not used, is constant over all Couple Types

#define REF2ADC_LENGTH_R		26			//Not used, is constant over all Couple Types

const unsigned int ADC2TmpLo_R[ADC2TMP_LO_LENGTH_R] =	
{
	1874,
	2374,
	2732,
	3031,
	3298,
	3545,
	3776,
	3996,
	4208,
	4412,
	4610,
	4803,
	4992,
	5177,
	5358,
	5537,
	5713,
	5887,
	6059,
	6229,
	6397,
	6563,
	6728,
	6892,
	7054,
	7214,
	7374,
	7532,
	7689,
	7846,
	8001,
	8155,
	8308,
	8460,
	8611,
	8761,
	8910,
	9059,
	9206,
	9353,
	9498,
	9643,
	9787,
	9930,
	10072,
	10214,
	10355,
	10495,
	10634,
	10772,
	10910,
	11047,
	11183,
	11319,
	11453,
	11588,
	11721,
	11854,
	11986,
	12118,
	12249,
	12379,
	12509,
	12638,
	12767,
	12895,
	13023,
};

const unsigned int ADC2TmpHi_R[ADC2TMP_HI_LENGTH_R] =	
{
	13023,
	13529,
	14028,
	14521,
	15010,
	15496,
	15980,
	16462,
	16944,
	17427,
	17910,
	18397,
	18887,
	19381,
	19884,
	20415,
	21008,
};

const int Ref2ADC_R[REF2ADC_LENGTH_R] =	
{
	-23,
	-16,
	-8,
	0,
	8,
	16,
	25,
	33,
	42,
	51,
	60,
	69,
	78,
	87,
	97,
	107,
	116,
	126,
	136,
	147,
	157,
	167,
	178,
	188,
	199,
	210,
};