//*****************************************************************************
//*****************************************************************************
//  FILENAME:   Table_TC_T.h
//  Version: 1.0, 2008/01/16 
//  Generated by Peter Lischer
//
//  DESCRIPTION:  Table for Thermocouple Type T
//
//-----------------------------------------------------------------------------
// Originally authored by Toradex AG. This work is now available under the terms and conditions
// of the Creative Commons License 'Attribution CC BY', details of which can be found here:
// http://creativecommons.org/licenses/by/3.0/
//*****************************************************************************
//*****************************************************************************


/*
	Sensor used from	-200C
	until				370C
	
	Table valid from	-200.75C
	until				400C

	Table entries from	-288.65C
	until				403.75C

	Reference Voltage	4.096V
	R1					1k2
	R2					27k
*/

#define TC_TYPE_T				2
#define TC_TYPE_T_ASCII			'T'

#define ADC2TMP_MIN_T	 		-2112
#define ADC2TMP_MID_T 			0
#define ADC2TMP_MAX_T 			7936

#define ADC2TMP_LO_LENGTH_T 	34
#define ADC2TMP_HI_LENGTH_T 	32


#define REF2ADC_MIN_T		 	-1536		//Not used, is constant over all Couple Types
#define REF2ADC_MAX_T		 	11264		//Not used, is constant over all Couple Types

#define REF2ADC_LENGTH_T		26			//Not used, is constant over all Couple Types

const unsigned int ADC2TmpLo_T[ADC2TMP_LO_LENGTH_T] =	
{
	724,
	828,
	924,
	1014,
	1099,
	1179,
	1256,
	1330,
	1400,
	1469,
	1535,
	1600,
	1662,
	1723,
	1783,
	1841,
	1897,
	1953,
	2008,
	2061,
	2114,
	2165,
	2216,
	2266,
	2315,
	2364,
	2412,
	2459,
	2506,
	2552,
	2598,
	2643,
	2687,
	2732,
};

const unsigned int ADC2TmpHi_T[ADC2TMP_HI_LENGTH_T] =	
{
	2732,
	2905,
	3072,
	3233,
	3389,
	3542,
	3690,
	3835,
	3977,
	4116,
	4252,
	4387,
	4519,
	4649,
	4777,
	4904,
	5029,
	5153,
	5275,
	5396,
	5516,
	5634,
	5752,
	5868,
	5984,
	6098,
	6212,
	6325,
	6437,
	6549,
	6659,
	6769,
};

const int Ref2ADC_T[REF2ADC_LENGTH_T] =	
{
	-172,
	-115,
	-58,
	0,
	58,
	117,
	177,
	237,
	297,
	358,
	419,
	481,
	543,
	606,
	669,
	733,
	798,
	863,
	928,
	994,
	1060,
	1127,
	1195,
	1263,
	1331,
	1400,
};